Index: palm/trunk/SCRIPTS/palmbuild
===================================================================
--- palm/trunk/SCRIPTS/palmbuild	(revision 2419)
+++ palm/trunk/SCRIPTS/palmbuild	(revision 2420)
@@ -45,7 +45,5 @@
  column1=""
  column2=""
- config_file=.palm.config
- host=default
- host_found=false
+ host_identifier=default
  locat=normal
  makefile=""
@@ -86,5 +84,5 @@
    case  $option  in
        (d)   fname=$OPTARG;;
-       (h)   host=$OPTARG;;
+       (h)   host_identifier=$OPTARG;;
        (m)   makefile=$OPTARG;;
        (s)   suf=$OPTARG;;
@@ -98,5 +96,5 @@
 
     # BUILD THE CONFIGURATION-FILE NAME
- config_file=${config_file}.$host
+ config_file=.palm.config.$host_identifier
 
 
@@ -256,7 +254,4 @@
     fi
 
-    [[ "$remote_hostname" = "" ]]  &&  remote_hostname=$remote_ip 
-
-
        # GET SOURCE AND DEPOSITORY PATH ON THE REMOTE MACHINE WITHOUT EVALUATING
        # THE $
@@ -272,9 +267,9 @@
 
     line=`grep %base_directory $config_file`
-    make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${host}
+    make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${host_identifier}
 
  else
 
-    make_depository=${base_directory}/MAKE_DEPOSITORY_${host}
+    make_depository=${base_directory}/MAKE_DEPOSITORY_${host_identifier}
 
  fi
@@ -286,5 +281,5 @@
  printf "| %-40s%30s | \n" "$version" "$calltime"
  printf "|                                                                        | \n"
- printf "| %-13s%-57s | \n" "called on:" "$local_hostname"
+ printf "| %-13s%-57s | \n" "called on:" "$(hostname) (IP:$local_ip)"
  column2=$(echo $config_file | cut -c1-57 )
  printf "| %-13s%-57s | \n" "config file:" "$column2"
@@ -337,5 +332,5 @@
 
     # GET CONFIRMATION TO CONTINUE
- printf "\n  *** update will be made for host \"$host\" "
+ printf "\n  *** update will be made for host \"$host_identifier\" "
 
 
@@ -362,12 +357,12 @@
     if [[ "$remote_ip" != "" ]]
     then
-       column2=$remote_hostname
-       printf "| %-20s%-50s | \n" "remote host:" "$column2"
+       column2="$host_identifier"
+       printf "| %-20s%-50s | \n" "host identifier:" "$column2"
        printf "|                                                                        | \n"
        column2=$(echo "$make_depository" | cut -c1-50 )
        printf "| %-20s%-50s | \n" "remote depository:" "$column2"
     else
-       column2=$local_hostname
-       printf "| %-20s%-50s | \n" "local host:" "$column2"
+       column2="$host_identifier"
+       printf "| %-20s%-50s | \n" "host identifier:" "$column2"
        printf "|                                                                        | \n"
        column2=$(echo "$make_depository" | cut -c1-50 )
@@ -513,10 +508,10 @@
           echo "  *** creating utilities on remote host"
           make_call_string="make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
-          echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${remote_hostname}_last_make_protokoll
-
-          if [[ $(grep -c MAKE_ERROR ${remote_hostname}_last_make_protokoll) != 0 ]]
+          echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_identifier}_last_make_protokoll
+
+          if [[ $(grep -c MAKE_ERROR ${host_identifier}_last_make_protokoll) != 0 ]]
           then
              printf "\a\n  +++ error(s) occurred during compiling or linking of utilities"
-             printf "\n      on host \"$remote_hostname\" "
+             printf "\n      for host \"$host_identifier\" "
              if [[ $silent = false ]]
              then
@@ -529,5 +524,5 @@
                    if [[ "$answer" = l ]]
                    then
-                      more ${remote_hostname}_last_make_protokoll
+                      more ${host_identifier}_last_make_protokoll
                    fi
                 done
@@ -547,9 +542,9 @@
           echo "  *** compile PALM sources on remote host"
           make_call_string="make  $make_options  PROG=$program_name  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
-          echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${remote_hostname}_last_make_protokoll
-
-          if [[ $(grep -c MAKE_ERROR ${remote_hostname}_last_make_protokoll) != 0 ]]
-          then
-             printf "\a\n  +++ error(s) occurred during compiling or linking on host \"$remote_hostname\" "
+          echo "$login_init_cmd $module_commands cd ${make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_identifier}_last_make_protokoll
+
+          if [[ $(grep -c MAKE_ERROR ${host_identifier}_last_make_protokoll) != 0 ]]
+          then
+             printf "\a\n  +++ error(s) occurred during compiling or linking for host \"$host_identifier\" "
              if [[ $silent = false ]]
              then
@@ -562,5 +557,5 @@
                    if [[ "$answer" = l ]]
                    then
-                      more ${remote_hostname}_last_make_protokoll
+                      more ${host_identifier}_last_make_protokoll
                    fi
                 done
@@ -584,14 +579,15 @@
 
              # FIRST CHECK, IF A DEPOSITORY EXISTS ON THE REMOTE MACHINE
-          echo  "[[ ! -d ${make_depository} ]]  &&  echo depository not found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${remote_hostname}_last_make_protokoll
+          echo  "[[ ! -d ${make_depository} ]]  &&  echo depository not found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_identifier}_last_make_protokoll
 
 
              # COPY MAKE DEPOSITORY ON REMOTE MACHINE TO SOURCES_FOR_RUN_...
-          printf "\n  *** copy MAKE_DEPOSITORY_${host} on remote host to SOURCES_FOR_RUN_$fname \n"
+          printf "\n  *** copy MAKE_DEPOSITORY_${host_identifier} on remote host to SOURCES_FOR_RUN_$fname \n"
           echo  "rm -rf $fast_io_catalog/SOURCES_FOR_RUN_$fname; mkdir -p $fast_io_catalog/SOURCES_FOR_RUN_$fname; cp ${make_depository}/${program_name}_current_version.tar  $fast_io_catalog/SOURCES_FOR_RUN_$fname; cd $fast_io_catalog/SOURCES_FOR_RUN_$fname; tar xf ${program_name}_current_version.tar"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
 
 
              # COPY CONTENTS OF SOURCES_FOR_RUN_... TO SOURCES_FOR_RUN_... ON THE REMOTE MACHINE
-          printf "\n  *** copy $base_directory/SOURCES_FOR_RUN_$fname to SOURCES_FOR_RUN_$fname on remote host \n"
+          printf "\n  *** copy $base_directory/SOURCES_FOR_RUN_$fname"
+          printf "\n      to SOURCES_FOR_RUN_$fname on remote host \n"
           scp  -q  $ssh_key  $base_directory/SOURCES_FOR_RUN_$fname/{*,.[!.]*}  ${remote_username}@${remote_ip}:${fast_io_catalog}/SOURCES_FOR_RUN_$fname
 
@@ -605,9 +601,9 @@
              [[ "$module_commands" != "" ]]  &&  module_commands=${module_commands}";"
              echo "  *** execute \"make\" on remote host"
-             echo "$login_init_cmd $module_commands cd ${fast_io_catalog}/SOURCES_FOR_RUN_$fname; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${remote_hostname}_last_make_protokoll
-
-             if [[ $(grep -c MAKE_ERROR ${remote_hostname}_last_make_protokoll) != 0 ]]
+             echo "$login_init_cmd $module_commands cd ${fast_io_catalog}/SOURCES_FOR_RUN_$fname; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${host_identifier}_last_make_protokoll
+
+             if [[ $(grep -c MAKE_ERROR ${host_identifier}_last_make_protokoll) != 0 ]]
              then
-                printf "\a\n  +++ error(s) occurred during compiling or linking on host \"$remote_hostname\" "
+                printf "\a\n  +++ error(s) occurred during compiling or linking for host \"$host_identifier\" "
                 if [[ $silent = false ]]
                 then
@@ -620,5 +616,5 @@
                       if [[ "$answer" = l ]]
                       then
-                         more ${remote_hostname}_last_make_protokoll
+                         more ${host_identifier}_last_make_protokoll
                       fi
                    done
@@ -638,5 +634,5 @@
        fi
 
-       rm -rf  ${remote_hostname}_last_make_protokoll
+       rm -rf  ${host_identifier}_last_make_protokoll
 
 
@@ -698,9 +694,9 @@
           echo "  *** compile PALM sources on local host"
 
-          make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"  2>&1 | tee ${local_hostname}_last_make_protokoll
+          make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"  2>&1 | tee ${host_identifier}_last_make_protokoll
 
           if [[ $? != 0 ]]
           then
-             printf "\a\n  +++ error(s) occurred during compiling or linking on host \"$local_hostname\" "
+             printf "\a\n  +++ error(s) occurred during compiling or linking for host \"$host_identifier\" "
              if [[ $silent = false ]]
              then
@@ -713,5 +709,5 @@
                    if [[ "$answer" = l ]]
                    then
-                      more ${local_hostname}_last_make_protokoll
+                      more ${host_identifier}_last_make_protokoll
                    fi
                 done
@@ -739,5 +735,5 @@
              printf "\n  +++ directory for local make depository:"
              printf "\n           $make_depository"
-             printf "\n      not found. Please run \"palmbuild -h $host\" "
+             printf "\n      not found. Please run \"palmbuild -h $host_identifier\" "
              locat=make_depository; exit
           fi
@@ -745,5 +741,5 @@
 
              # COPY MAKE DEPOSITORY ON LOCAL MACHINE TO SOURCES_FOR_RUN_...
-          printf "\n  *** copy MAKE_DEPOSITORY_${host} on local host to "
+          printf "\n  *** copy MAKE_DEPOSITORY_${host_identifier} on local host to "
           printf "\n      $fast_io_catalog/SOURCES_FOR_RUN_$fname \n"
           rm -rf $fast_io_catalog/SOURCES_FOR_RUN_$fname
@@ -774,5 +770,5 @@
              then
 
-                printf "\a\n  +++ error(s) occurred during compiling or linking on host \"$local_hostname\" "
+                printf "\a\n  +++ error(s) occurred during compiling or linking for host \"$host_identifier\" "
                 if [[ $silent = false ]]
                 then
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2419)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2420)
@@ -59,5 +59,4 @@
  compiler_name_ser=""
  compiler_options=""
- config_file=""
  cores=""
  cores_atmos=0
@@ -80,5 +79,5 @@
  fname=test
  global_revision=""
- host="default"
+ host_identifier="default"
  hostfile=""
  hp=""
@@ -157,19 +156,7 @@
 
 
-    # CHECK IF THE PATH FOR THE PALM BINARIES (SCRIPTS+UTILITY-PROGRAMS) HAS
-    # BEEN SET
- if [[ "$PALM_BIN" = "" ]]
- then
-    printf "\n  +++ environment variable PALM_BIN has not been set"
-    printf "\n      please set it to the directory where the PALM scripts are located"
-    locat=palm_bin; exit
- fi
- export PATH=$PALM_BIN:$PATH
-
-
-
     # READ SHELLSCRIPT-OPTIONS AND REBUILD THE PALMRUN-COMMAND STRING (prc),
     # WHICH WILL BE USED TO START RESTART-JOBS
- while  getopts  :a:bBc:Cd:FG:h:jkm:M:O:q:r:R:s:t:T:u:U:vw:xX:yY:Z option
+ while  getopts  :a:bBCd:FG:h:jkm:M:O:q:r:R:s:t:T:u:U:vw:xX:yY:Z option
  do
    case  $option  in
@@ -177,10 +164,9 @@
        (b)   create_batch_job=true; prc="$prc -b";;
        (B)   delete_temporary_catalog=false; prc="$prc -B";;
-       (c)   config_file=$OPTARG; prc="$prc -c$OPTARG";;
        (C)   restart_run=true; prc="$prc -C";;
        (d)   fname=$OPTARG; prc="$prc -d$OPTARG";;
        (F)   create_jobfile_only=true;;
        (G)   global_revision=$OPTARG; prc="$prc -G'$OPTARG'";;
-       (h)   host=$OPTARG; prc="$prc -h$OPTARG";;
+       (h)   host_identifier=$OPTARG; prc="$prc -h$OPTARG";;
        (j)   running_in_batch_mode=true;;
        (k)   keep_data_from_previous_run=true; prc="$prc -k";;
@@ -223,8 +209,7 @@
     printf "\n        -b    batch-job on local machine               ---"
     printf "\n        -B    do not delete temporary directory at end ---"
-    printf "\n        -c    configuration file                       .palm.config.default"
     printf "\n        -d    base name of files attached to program   test"
     printf "\n        -F    create batch job file only               ---"
-    printf "\n        -h    execution host                           \"default\" "
+    printf "\n        -h    host identifier                          \"default\" "
     printf "\n        -k    keep data from previous run"
     printf "\n        -m    memory demand in MB (batch-jobs)         0 MB"
@@ -268,8 +253,5 @@
 
     # BUILD THE CONFIGURATION-FILE NAME
- if [[ "$config_file" = "" ]]
- then
-    config_file=.palm.config.$host
- fi
+ config_file=.palm.config.$host_identifier
 
 
@@ -462,5 +444,4 @@
        # BATCH MODE AND ...
     running_on_remote=true
-    host_name=$remote_hostname
  
  else
@@ -474,5 +455,4 @@
 
      fi
-     host_name=$local_hostname
      running_on_remote=false
  fi
@@ -1213,4 +1193,5 @@
        fi
     done
+    cpumax=$cputime
 
        # CHECK THE MEMORY DEMAND
@@ -1234,5 +1215,5 @@
        while [[ -z $remote_username ]]
        do
-          printf "\n  +++ username on remote host \"$remote_ip\" is undefined"
+          printf "\n  +++ username on remote host with IP \"$remote_ip\" is undefined"
           printf "\n  >>> Please type username:"
           printf "\n  >>> "
@@ -1243,8 +1224,13 @@
  else
 
-    cputime=10000000  # NO LIMT FOR INTERACTIVE RUNS
-
- fi
- cpumax=$cputime
+    if [[ $running_in_batch_mode = false ]]
+    then
+       cputime=10000000  # NO LIMT FOR INTERACTIVE RUNS
+       cpumax=$cputime
+    else
+       cputime=$cpumax
+    fi
+
+ fi
 
 
@@ -1267,11 +1253,11 @@
  if [[ $create_remote_batch_job = true ]]
  then
-    column1="execution on:"; column2="$remote_hostname (username: $remote_username)"
+    column1="execution on:"; column2="$host_identifier (username: $remote_username)"
  else
     if [[ $running_on_remote = true ]]
     then
-       column1="execution on:"; column2="$remote_hostname"
+       column1="execution on:"; column2="$host_identifier (IP:$remote_ip)"
     else
-       column1="execution on:"; column2="$local_hostname"
+       column1="execution on:"; column2="$host_identifier (IP:$local_ip)"
     fi
  fi
@@ -1525,6 +1511,5 @@
     fi
 
-    palmbuild  -v  -h $host  -d $fname
-    rm -rf  SOURCES_FOR_RUN_$fname
+    palmbuild  -v  -h $host_identifier  -d $fname
 
     if [[ $? != 0 ]]
@@ -1534,4 +1519,5 @@
        printf "\n  +++ error while creating executable and/or other sources"
        locat=execution
+       rm -rf  SOURCES_FOR_RUN_$fname
        exit
 
@@ -1539,4 +1525,5 @@
 
        printf "\n$dashes\n  *** executable and other sources created\n"
+       rm -rf  SOURCES_FOR_RUN_$fname
 
     fi
@@ -1766,5 +1753,5 @@
        # (FILE ENVPAR WILL BE READ BY PALM)
     cat  >  ENVPAR  <<  EOF
- &envpar  run_identifier = '$fname', host = '$host',
+ &envpar  run_identifier = '$fname', host = '$host_identifier',
           write_binary = .${write_binary}., tasks_per_node = $tasks_per_node,
           maximum_parallel_io_streams = $maximum_parallel_io_streams,
@@ -2034,12 +2021,12 @@
                 transfer_failed=false
                 printf "\n  >>> OUTPUT: ${localout[$i]}$catalog_string  $append_string by SCP to"
-                printf "\n              ${pathout[$i]}/${remote_hostname}_${fname}${endout[$i]}$catalog_string\n"
+                printf "\n              ${pathout[$i]}/${host_identifier}_${fname}${endout[$i]}$catalog_string\n"
 
                    # TRANSFER VIA SCP
                 if [[ "$remote_loginnode" != "" ]]
                 then
-                   echo "cd $TEMPDIR; ${fast_io_catalog}/SOURCES_FOR_RUN_${fname}/batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} \"${pathout[$i]}\" ${remote_hostname}_${fname}${endout[$i]}  ${extout[$i]}"  |  ssh -q $remote_username@$remote_loginnode
+                   echo "cd $TEMPDIR; ${fast_io_catalog}/SOURCES_FOR_RUN_${fname}/batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} \"${pathout[$i]}\" ${host_identifier}_${fname}${endout[$i]}  ${extout[$i]}"  |  ssh -q $remote_username@$remote_loginnode
                 else
-                   batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} "${pathout[$i]}" ${remote_hostname}_${fname}${endout[$i]}  ${extout[$i]}
+                   batch_scp $PORTOPT $catalog_option $append_option -b -m $usecycle_option -u $local_username $return_address  ${localout[$i]} "${pathout[$i]}" ${host_identifier}_${fname}${endout[$i]}  ${extout[$i]}
                 fi
                 [[ $? != 0 ]]  &&  transfer_failed=true
@@ -2050,5 +2037,5 @@
                 then
                    printf "  +++ transfer failed. Trying to save a copy on this host under:\n"
-                   printf "      ${pathout[$i]}/${remote_hostname}_${fname}${endout[$i]}_$run_id\n"
+                   printf "      ${pathout[$i]}/${host_identifier}_${fname}${endout[$i]}_$run_id\n"
 
                       # FIRST CHECK, IF DIRECTORY EXISTS, AND CREATE IT, IF NECESSARY
@@ -2060,5 +2047,5 @@
                       mkdir -p  $local_catalog
                    fi
-                   eval  cp  ${localout[$i]}  ${pathout[$i]}/${remote_hostname}_${fname}${endout[$i]}_$run_id
+                   eval  cp  ${localout[$i]}  ${pathout[$i]}/${host_identifier}_${fname}${endout[$i]}_$run_id
                    transfer_problems=true
                 fi
@@ -2221,7 +2208,7 @@
           if [[ "$remote_loginnode" != "" ]]
           then
-             echo "echo \" PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; export PALM_BIN=$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc\" |  ssh -q $SSH_PORTOPT  $local_username@$return_address  " |  ssh -q $remote_username@$remote_loginnode
+             echo "echo \" PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc\" |  ssh -q $SSH_PORTOPT  $local_username@$return_address  " |  ssh -q $remote_username@$remote_loginnode
           else
-             echo \" PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; export PALM_BIN=$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc\" |  ssh -q $SSH_PORTOPT  $local_username@$return_address
+             echo \" PATH=\\\$PATH:$LOCAL_PALMRUN_PATH; cd $LOCAL_PWD; $prc\" |  ssh -q $SSH_PORTOPT  $local_username@$return_address
           fi
 
@@ -2268,5 +2255,5 @@
 
        # BUILD THE PALMRUN-COMMAND TO BE CALLED IN THE BATCH-JOB
-    palmrun_com="$palmrun_script_name -c $config_file -d $fname -h $host -m $memory -t $cpumax -q $queue -r $run_id -U $local_username"
+    palmrun_com="$palmrun_script_name -d $fname -h $host_identifier -m $memory -t $cpumax -q $queue -r $run_id -U $local_username"
     [[ "$activation_string_list" != "" ]]  &&  palmrun_com=${palmrun_com}" -a \"$activation_string_list\""
     [[ "$global_revision" != "" ]]  &&  palmrun_com=${palmrun_com}" -G \"$global_revision\""
@@ -2284,9 +2271,15 @@
     then
        palmrun_com=${palmrun_com}" -j -u $remote_username -R $local_ip"
-       printf "\n *** PALMRUN-command on remote host:\n     $palmrun_com \n"
+       if [[ $do_trace = true ]]
+       then
+          printf "\n *** PALMRUN-command on remote host:\n     $palmrun_com \n"
+       fi
     elif [[ $create_batch_job = true ]]
     then
        palmrun_com=${palmrun_com}" -j"
-       printf "\n *** PALMRUN-command on local host:\n     $palmrun_com \n"
+       if [[ $do_trace = true ]]
+       then
+          printf "\n *** PALMRUN-command on local host:\n     $palmrun_com \n"
+       fi
     fi
 
@@ -2294,9 +2287,9 @@
        # DETERMINE THE FULL PATHS FOR THE JOB PROTOCOL FILES ON THE LOCAL AND
        # REMOTE HOST
-    job_protocol_file_local=${local_jobcatalog}/${host}_${job_id}
+    job_protocol_file_local=${local_jobcatalog}/${host_identifier}_${job_id}
     job_protocol_file=$job_protocol_file_local
     if [[ $create_remote_batch_job = true ]]
     then
-       job_protocol_file_remote=${remote_jobcatalog}/${host}_${job_id}
+       job_protocol_file_remote=${remote_jobcatalog}/${host_identifier}_${job_id}
        job_protocol_file=$job_protocol_file_remote
        job_transfer_protocol_file=${remote_jobcatalog}/last_job_transfer_protocol
@@ -2314,5 +2307,5 @@
     do
        (( i = i + 1 ))
-       line=`echo  "${batch_directive[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{CORES}}/$cores/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{LOCAL_HOSTNAME}}/${local_hostname}/g' | sed 's/{{HOST}}/${host}/g' | sed 's/{{FNAME}}/$fname/g' | sed 's/{{QUEUE}}/$queue/g' | sed 's/{{MEMORY}}/$memory/g'`
+       line=`echo  "${batch_directive[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{CORES}}/$cores/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{HOST_IDENTIFIER}}/${host_identifier}/g' | sed 's/{{FNAME}}/$fname/g' | sed 's/{{QUEUE}}/$queue/g' | sed 's/{{MEMORY}}/$memory/g'`
        eval line=\"$line\"
        echo  "$line"                               >>  $jobfile
@@ -2336,5 +2329,5 @@
        do
           (( i = i + 1 ))
-          line=`echo  "${batch_directive_transfer[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{JOB_TRANSFER_PROTOCOL_FILE}}/$job_transfer_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{LOCAL_HOSTNAME}}/${local_hostname}/g' | sed 's/{{HOST}}/${host}/g' | sed 's/{{FNAME}}/$fname/g'`
+          line=`echo  "${batch_directive_transfer[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{JOB_TRANSFER_PROTOCOL_FILE}}/$job_transfer_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{HOST_IDENTIFIER}}/${host_identifier}/g' | sed 's/{{FNAME}}/$fname/g'`
           eval line=\"$line\"
           echo  "$line"                            >>  $jobfile
@@ -2343,5 +2336,5 @@
 
        echo "set -x"                               >>  $jobfile
-       echo "${fast_io_catalog}/SOURCES_FOR_RUN_${fname}/batch_scp  $PORTOPT  -d  -w 10  -u $local_username $local_ip  $job_protocol_file_remote  \"$local_jobcatalog\"  ${host}_${fname}"  >>  $jobfile
+       echo "${fast_io_catalog}/SOURCES_FOR_RUN_${fname}/batch_scp  $PORTOPT  -d  -w 10  -u $local_username $local_ip  $job_protocol_file_remote  \"$local_jobcatalog\"  ${host_identifier}_${fname}"  >>  $jobfile
        echo "%%END%%"                              >>  $jobfile
        echo "echo \" *** submitting job for transfering the job protocol file to $local_ip\" "  >>  $jobfile
@@ -2408,5 +2401,5 @@
           echo  "   echo \" \" "                      >>  $jobfile
           echo  "   echo \"+++ file ${remotepathin[$i]} could not be created\" "   >>  $jobfile
-          echo  "   echo \"    please check, if directory exists on $host!\" "  >>  $jobfile
+          echo  "   echo \"    please check, if directory exists on $host_identifier!\" "  >>  $jobfile
           echo  "   echo \"+++ PALMRUN will not be continued\" "  >>  $jobfile
           echo  "   execute_palmrun=false"            >>  $jobfile
@@ -2424,5 +2417,5 @@
 
        # PROVIDE THE PATH OF THE LOCAL PALMRUN-SCRIPT FOR THE SAME REASON 
-    echo  "LOCAL_PALMRUN_PATH=$PALM_BIN"                   >>  $jobfile
+    echo  "LOCAL_PALMRUN_PATH=${source_path}/../SCRIPTS"   >>  $jobfile
     echo  "export LOCAL_PALMRUN_PATH"                      >>  $jobfile
 
@@ -2441,24 +2434,34 @@
        then
 
-          echo " *** transfer of job to remote host via scp"
-          echo "     scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${host}_${job_id}"
-          scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${host}_${job_id}
-
+          echo " "
+          echo "  *** transfer of job to remote host via scp"
+          if [[ $do_trace = true ]]
+          then
+             echo "     scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${host_identifier}_${job_id}"
+          fi
+          scp $ssh_key $PORTOPT $jobfile ${remote_username}@${remote_ip}:${remote_jobcatalog}/${host_identifier}_${job_id}
+
+          echo " "
+          echo "  *** submit the job (output of submit command, e.g. the job-id, may follow)"
+          if [[ $do_trace = true ]]
+          then
+             echo "     cd $remote_jobcatalog; $submit_command ${host_identifier}_${job_id}; rm ${host_identifier}_${job_id}  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1"
+          fi
+          echo "cd $remote_jobcatalog; $submit_command ${host_identifier}_${job_id}; rm ${host_identifier}_${job_id}"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1
+
+       elif [[ $create_batch_job = true ]]
+       then
+
+          eval  local_jobcatalog=$local_jobcatalog
+          cp  $jobfile  ${local_jobcatalog}/${host_identifier}_${job_id}
+          cd $local_jobcatalog
           echo " "
           echo " *** submit the job"
-          echo "     cd $remote_jobcatalog; $submit_command ${host}_${job_id}; rm ${host}_${job_id}  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1"
-          echo "cd $remote_jobcatalog; $submit_command ${host}_${job_id}; rm ${host}_${job_id}"  |  ssh  -q  $ssh_key $SSH_PORTOPT  ${remote_username}@${remote_ip}  2>&1
-
-       elif [[ $create_batch_job = true ]]
-       then
-
-          eval  local_jobcatalog=$local_jobcatalog
-          cp  $jobfile  ${local_jobcatalog}/${host}_${job_id}
-          cd $local_jobcatalog
-          echo " "
-          echo "--- submit the job"
-          echo "$submit_command ${host}_${job_id}"
-          $submit_command ${host}_${job_id}
-          rm ${host}_${job_id}
+          if [[ $do_trace = true ]]
+          then
+             echo "$submit_command ${host_identifier}_${job_id}"
+          fi
+          $submit_command ${host_identifier}_${job_id}
+          rm ${host_identifier}_${job_id}
           cd -  > /dev/null
 