Index: /palm/trunk/SCRIPTS/palmbuild
===================================================================
--- /palm/trunk/SCRIPTS/palmbuild	(revision 2421)
+++ /palm/trunk/SCRIPTS/palmbuild	(revision 2422)
@@ -27,7 +27,5 @@
 # -----------------
 # $Id$
-#
-# 2404 2017-09-05 09:33:14Z raasch
-# Initial revision 
+# initial revision
 # 
 #------------------------------------------------------------------------------#
@@ -55,5 +53,5 @@
  ssh_key=""
  suf=f90
- version="palmbuild  0.1  Rev$Rev: 2316 $"
+ version="palmbuild  1.0  Rev$Rev: 2316 $"
  working_directory=`pwd`
 
Index: /palm/trunk/SCRIPTS/palmrun
===================================================================
--- /palm/trunk/SCRIPTS/palmrun	(revision 2421)
+++ /palm/trunk/SCRIPTS/palmrun	(revision 2422)
@@ -29,7 +29,4 @@
 # initial revision
 # 
-# 2405 2017-09-05 11:17:46Z raasch
-# 
-#
 #--------------------------------------------------------------------------------#
 # palmrun - script for running PALM jobs on local and remote hosts
@@ -115,5 +112,5 @@
  user_source_path=""
  use_openmp=false
- version="palmrun  0.9 Rev$Rev: 2303 $"
+ version="palmrun  1.0 Rev$Rev: 2303 $"
  working_directory=`pwd`
  write_binary=""
@@ -1509,4 +1506,71 @@
     else
        printf "\n\n  *** creating executable and other sources for the local host"
+    fi
+
+       # FIRST CHECK, IF A MAKE DEPOSITORY EXISTS, AND IF NOT, ASK THE USER IF
+       # IT SHALL BE CREATED
+    ask_for_make_depository=false
+    if [[ $create_remote_batch_job = true ]]
+    then
+
+       line=`grep %base_directory $config_file`
+       make_depository=`echo $line | cut -d" " -s -f2`/MAKE_DEPOSITORY_${host_identifier}
+       echo "make_depository=$make_depository"
+       echo  "[[ ! -d ${make_depository} ]]  &&  echo depository not found" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1  | tee ${host_identifier}_last_make_protokoll
+
+       if [[ $(grep -c "depository not found" ${host_identifier}_last_make_protokoll) != 0 ]]
+       then
+          printf "\n\n  +++ make depository \"${make_depository}\""
+          printf "\n      on remote host not found!"
+          ask_for_make_depository=true
+       fi
+       rm ${host_identifier}_last_make_protokoll
+
+    else
+
+          # CHECK FOR MAKE_DEPOSITORY ON THE LOCAL HOST
+       make_depository=${base_directory}/MAKE_DEPOSITORY_${host_identifier}
+       if [[ ! -d ${make_depository} ]]
+       then
+          printf "\n\n  +++ make depository \"${make_depository}\""
+          printf "\n      on local host not found!"
+          ask_for_make_depository=true
+       fi
+
+    fi
+
+    if [[ $ask_for_make_depository = true ]]
+    then
+
+       antwort=dummy
+       printf "\n\n"
+       printf "  >>> Create a new one (y/n) ?  "
+       while  read antwort
+       do
+          if [[ "$antwort" != y  &&  "$antwort" != Y  &&  "$antwort" != n  &&  "$antwort" != N ]]
+          then
+             printf "  >>> Create a new one (y/n) ?  "
+          else
+             break
+          fi
+       done
+       if [[ $antwort = n  ||  $antwort = N ]]
+       then
+          locat=user_abort; (( iec = 0 )); exit
+       fi
+
+       palmbuild  -v  -h $host_identifier
+
+       if [[ $? != 0 ]]
+       then
+   
+              # ABORT IN CASE OF COMPILATION PROBLEMS
+          printf "\n  +++ error while compiling for the MAKE_DEPOSITORY"
+          locat=make_depository
+          exit
+       else
+          echo "  *** now continue with creating executable and other sources"
+       fi
+
     fi
 
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2421)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2422)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! error message in case of missing "restart" file activation string
+! 
+! 2375 2017-08-29 14:10:28Z schwenkel
 ! Added aerosol for bulk microphysics
 ! 
@@ -633,17 +636,4 @@
 #if defined( __parallel )
 
-!
-!--    NOTE: coupled runs have not been implemented in the check_namelist_files
-!--    program.
-!--    check_namelist_files will need the following information of the other
-!--    model (atmosphere/ocean).
-!       dt_coupling = remote
-!       dt_max = remote
-!       restart_time = remote
-!       dt_restart= remote
-!       simulation_time_since_reference = remote
-!       dx = remote
-
-
        IF ( myid == 0 ) THEN
           CALL MPI_SEND( dt_coupling, 1, MPI_REAL, target_id, 11, comm_inter,  &
@@ -792,6 +782,6 @@
        ENDIF
 #else
-       WRITE( message_string, * ) 'coupling requires PALM to be called with',  &
-            ' ''mrun -K parallel'''
+       WRITE( message_string, * ) 'coupling requires PALM to be compiled with',&
+            ' cpp-option "-D__parallel"'
        CALL message( 'check_parameters', 'PA0141', 1, 2, 0, 6, 0 )
 #endif
@@ -812,4 +802,14 @@
 #endif
 
+!
+!-- User settings for restart times requires that "restart" has been given as
+!-- file activation string. Otherwise, binary output would not be saved by
+!-- palmrun.
+    IF (  ( restart_time /= 9999999.9_wp  .OR.  dt_restart /= 9999999.9_wp )   &
+         .AND.  .NOT. write_binary )  THEN
+       WRITE( message_string, * ) 'manual restart settings requires file ',    &
+                                  'activation string "restart"'
+       CALL message( 'check_parameters', 'PA0001', 1, 2, 0, 6, 0 )
+    ENDIF
 
 !