Index: palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- palm/trunk/SCRIPTS/.palm.iofiles	(revision 2422)
+++ palm/trunk/SCRIPTS/.palm.iofiles	(revision 2429)
@@ -3,25 +3,21 @@
 # List of input-files
 #----------------------------------------------------------------------------
-PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
-#PARIN_02                    in:job        d3#   $base_data/$fname/INPUT    _02_p3d
-#PARIN_03                    in:job        d3#   $base_data/$fname/INPUT    _03_p3d
-PARIN                    in:job        pcr   $base_data/$fname/INPUT    _pcr
-PARIN                    in:job        d3r   $base_data/$fname/INPUT    _p3dr
-TOPOGRAPHY_DATA          in:locopt     d3#:d3r   $base_data/$fname/INPUT    _topo
-#TOPOGRAPHY_DATA_02          in:locopt     d3#:d3r   $base_data/$fname/INPUT    _02_topo
-#TOPOGRAPHY_DATA_03          in:locopt     d3#:d3r   $base_data/$fname/INPUT    _03_topo
-#WTM_DATA                 in:job        d3#:d3r   $base_data/$fname/INPUT    _wtm
-BININ                    in:loc:lnpe   d3r:rec   $fast_io_catalog/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_IN in:loc:lnpe   prtf  $fast_io_catalog/$fname/RESTART  _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
-DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
+PARIN                    in:job        d3#      $base_data/$fname/INPUT         _p3d
+PARIN                    in:job        pcr      $base_data/$fname/INPUT         _pcr
+PARIN                    in:job        d3r      $base_data/$fname/INPUT         _p3dr
+TOPOGRAPHY_DATA          in:locopt     d3#:d3r  $base_data/$fname/INPUT         _topo
+#WTM_DATA                 in:job        d3#:d3r  $base_data/$fname/INPUT         _wtm
+BININ                    in:loc:lnpe   d3r:rec  $fast_io_catalog/$fname/RESTART _d3d
+PARTICLE_RESTART_DATA_IN in:loc:lnpe   prtf     $fast_io_catalog/$fname/RESTART _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT        _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT        _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT        _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT        _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT        _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT        _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT        _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT        _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT        _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT        _prt
 #
 #----------------------------------------------------------------------------
@@ -41,72 +37,76 @@
 LIST_PROFIL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _list_pr
 #
-TURBINE_PARAMETERS01   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters01
-TURBINE_PARAMETERS02   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters02
-TURBINE_PARAMETERS03   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters03
-TURBINE_PARAMETERS04   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters04
+TURBINE_PARAMETERS01   out:loc:tr   d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters01
+TURBINE_PARAMETERS02   out:loc:tr   d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters02
+TURBINE_PARAMETERS03   out:loc:tr   d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters03
+TURBINE_PARAMETERS04   out:loc:tr   d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters04
 #
-DATA_1D_PR_NETCDF out:loc:tr   pr#:prr $base_data/$fname/OUTPUT      _pr  nc
-#DATA_1D_PR_NETCDF out:loc      pr#:prr $base_data/$fname/OUTPUT      _pr  nc
-DATA_1D_SP_NETCDF out:loc:tr   sp#:spr $base_data/$fname/OUTPUT      _sp  nc
-#DATA_1D_SP_NETCDF out:loc      sp#:spr $base_data/$fname/OUTPUT      _sp  nc
-DATA_1D_TS_NETCDF out:loc:tr   ts#:tsr $base_data/$fname/OUTPUT      _ts  nc
-#DATA_1D_TS_NETCDF out:loc      ts#:tsr $base_data/$fname/OUTPUT      _ts  nc
-DATA_1D_PTS_NETCDF out:loc:tr  pts#:ptsr $base_data/$fname/OUTPUT      _pts  nc
-#DATA_1D_PTS_NETCDF out:loc     pts#:ptsr $base_data/$fname/OUTPUT      _pts  nc
-DATA_2D_XY_NETCDF out:loc:tr   xy#:xyr $base_data/$fname/OUTPUT      _xy  nc
-#DATA_2D_XY_NETCDF out:loc      xy#:xyr $base_data/$fname/OUTPUT      _xy  nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyr $base_data/$fname/OUTPUT      _xy_av  nc
-#DATA_2D_XZ_NETCDF out:loc:tr   xz#:xzr $base_data/$fname/OUTPUT      _xz  nc
-DATA_2D_XZ_NETCDF out:loc      xz#:xzr $base_data/$fname/OUTPUT      _xz  nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzr $base_data/$fname/OUTPUT      _xz_av  nc
-DATA_2D_YZ_NETCDF out:loc:tr   yz#:yzr $base_data/$fname/OUTPUT      _yz  nc
-#DATA_2D_YZ_NETCDF out:loc      yz#:yzr $base_data/$fname/OUTPUT      _yz  nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzr $base_data/$fname/OUTPUT      _yz_av  nc
-DATA_3D_NETCDF    out:loc:tr   3d#:3dr $base_data/$fname/OUTPUT      _3d  nc
-#DATA_3D_NETCDF    out:loc      3d#:3dr $base_data/$fname/OUTPUT      _3d  nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3dr $base_data/$fname/OUTPUT      _3d_av  nc
-DATA_PRT_NETCDF   out:loc:pe   prt#:prtr $base_data/$fname/OUTPUT    _prt
-DATA_PRT_NETCDF   out:loc:trpe prt#:prtr $base_data/$fname/OUTPUT    _prt
-PLOTTS_PAR        out:loc:tr   ts#:tsr $base_data/$fname/OUTPUT      _ts_par
-PLOTTS_DATA       out:loc:tr   ts#     $base_data/$fname/OUTPUT      _ts_in
-PLOTTS_DATA       out:loc:tra  tsr     $base_data/$fname/OUTPUT      _ts_in
-PLOT1D_PAR        out:loc:tr   pr#:prr $base_data/$fname/OUTPUT      _pr_par
-PLOT1D_DATA       out:loc:tr   pr#     $base_data/$fname/OUTPUT      _pr_in
-PLOT1D_DATA       out:loc:tr   prr     $base_data/$fname/OUTPUT      _pr_in
-PARTICLE_DATA     out:loc:lnpe prt#:prtr $base_data/$fname/OUTPUT    _prt_dat
+DATA_1D_PR_NETCDF      out:loc:tr   pr#:prr   $base_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF      out:loc:tr   sp#:spr   $base_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF      out:loc:tr   ts#:tsr   $base_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF     out:loc:tr   pts#:ptsr $base_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF      out:loc:tr   xy#:xyr   $base_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF   out:loc:tr   xy#:xyr   $base_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF      out:loc:tr   xz#:xzr   $base_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF   out:loc:tr   xz#:xzr   $base_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF      out:loc:tr   yz#:yzr   $base_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF   out:loc:tr   yz#:yzr   $base_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF         out:loc:tr   3d#:3dr   $base_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF      out:loc:tr   3d#:3dr   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_MASK_01_NETCDF    out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m01    nc
+DATA_MASK_01_AV_NETCDF out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m01_av nc
+DATA_MASK_02_NETCDF    out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m02    nc
+DATA_MASK_02_AV_NETCDF out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m02_av nc
+DATA_MASK_03_NETCDF    out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m03    nc
+DATA_MASK_03_AV_NETCDF out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m03_av nc
+DATA_MASK_04_NETCDF    out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m04    nc
+DATA_MASK_04_AV_NETCDF out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m04_av nc
+DATA_MASK_05_NETCDF    out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m05    nc
+DATA_MASK_05_AV_NETCDF out:loc:tr   ma#:mar   $base_data/$fname/OUTPUT  _m05_av nc
+DATA_PRT_NETCDF        out:loc:pe   prt#:prtr $base_data/$fname/OUTPUT  _prt
+DATA_PRT_NETCDF        out:loc:trpe prt#:prtr $base_data/$fname/OUTPUT  _prt
+PLOTTS_PAR             out:loc:tr   ts#:tsr   $base_data/$fname/OUTPUT  _ts_par
+PLOTTS_DATA            out:loc:tr   ts#       $base_data/$fname/OUTPUT  _ts_in
+PLOTTS_DATA            out:loc:tra  tsr       $base_data/$fname/OUTPUT  _ts_in
+PLOT1D_PAR             out:loc:tr   pr#:prr   $base_data/$fname/OUTPUT  _pr_par
+PLOT1D_DATA            out:loc:tr   pr#       $base_data/$fname/OUTPUT  _pr_in
+PLOT1D_DATA            out:loc:tr   prr       $base_data/$fname/OUTPUT  _pr_in
+PARTICLE_DATA          out:loc:lnpe prt#:prtr $base_data/$fname/OUTPUT  _prt_dat
 #
 #----------------------------------------------------------------------------
 # List of input-files for nested model runs
 #----------------------------------------------------------------------------
-PARIN_02                  in:job        nest#      $base_data/$fname/INPUT   _02_p3d
-TOPOGRAPHY_DATA_02        in:locopt     nest#      $base_data/$fname/INPUT   _02_topo
+#PARIN_02           in:job        nest#      $base_data/$fname/INPUT   _02_p3d
+#TOPOGRAPHY_DATA_02 in:locopt     nest#      $base_data/$fname/INPUT   _02_topo
+#PARIN_03           in:job        nest#      $base_data/$fname/INPUT   _02_p3d
+#TOPOGRAPHY_DATA_03 in:locopt     nest#      $base_data/$fname/INPUT   _02_topo
 #
 #----------------------------------------------------------------------------
 # List of input-files for coupled ocean model
 #----------------------------------------------------------------------------
-PARIN_O                  in:job        d3o#      $base_data/$fname/INPUT   _o_p3d
-PARIN_O                  in:job        d3or      $base_data/$fname/INPUT   _o_p3df
-BININ_O                  in:loc:lnpe   d3or:rec  $fast_io_catalog/$fname/RESTART _o_d3d
+#PARIN_O                  in:job        d3o#      $base_data/$fname/INPUT         _o_p3d
+#PARIN_O                  in:job        d3or      $base_data/$fname/INPUT         _o_p3df
+#BININ_O                  in:loc:lnpe   d3or:reco $fast_io_catalog/$fname/RESTART _o_d3d
 #
 #----------------------------------------------------------------------------
 # List of output-files for coupled ocean model
 #----------------------------------------------------------------------------
-RUN_CONTROL_02     out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_rc
-RUN_CONTROL_02     out:loc:tra  nestf     $base_data/$fname/MONITORING  _2_rc
-HEADER_02          out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_header
-HEADER_02          out:loc:tra  nestf     $base_data/$fname/MONITORING  _2_header
-CPU_MEASURES_02    out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_cpu
-CPU_MEASURES_02    out:loc:tra  nestf     $base_data/$fname/MONITORING  _2_cpu
-LIST_PROFIL_02     out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_list_pr
-BINOUT_02          out:loc:lnpe restart   $fast_io_catalog/$fname/RESTART     _2_d3d
+RUN_CONTROL_02     out:loc:tr   nest#     $base_data/$fname/MONITORING     _2_rc
+RUN_CONTROL_02     out:loc:tra  nestr     $base_data/$fname/MONITORING     _2_rc
+HEADER_02          out:loc:tr   nest#     $base_data/$fname/MONITORING     _2_header
+HEADER_02          out:loc:tra  nestr     $base_data/$fname/MONITORING     _2_header
+CPU_MEASURES_02    out:loc:tr   nest#     $base_data/$fname/MONITORING     _2_cpu
+CPU_MEASURES_02    out:loc:tra  nestr     $base_data/$fname/MONITORING     _2_cpu
+LIST_PROFIL_02     out:loc:tr   nest#     $base_data/$fname/MONITORING     _2_list_pr
+BINOUT_02          out:loc:lnpe restart   $fast_io_catalog/$fname/RESTART  _2_d3d
 #
-DATA_1D_PR_NETCDF_2    out:loc:tr pro#:pror   $base_data/$fname/OUTPUT _2_pr  nc
-DATA_1D_SP_NETCDF_2    out:loc:tr spo#:spor   $base_data/$fname/OUTPUT _2_sp  nc
-DATA_1D_TS_NETCDF_2    out:loc:tr tso#:tsor   $base_data/$fname/OUTPUT _2_ts  nc
-DATA_1D_PTS_NETCDF_2   out:loc:tr ptso#:ptsor $base_data/$fname/OUTPUT _2_pts nc
-DATA_2D_XY_NETCDF_2    out:loc:tr xyo#:xyor   $base_data/$fname/OUTPUT _2_xy  nc
+DATA_1D_PR_NETCDF_2    out:loc:tr pro#:pror   $base_data/$fname/OUTPUT _2_pr     nc
+DATA_1D_SP_NETCDF_2    out:loc:tr spo#:spor   $base_data/$fname/OUTPUT _2_sp     nc
+DATA_1D_TS_NETCDF_2    out:loc:tr tso#:tsor   $base_data/$fname/OUTPUT _2_ts     nc
+DATA_1D_PTS_NETCDF_2   out:loc:tr ptso#:ptsor $base_data/$fname/OUTPUT _2_pts    nc
+DATA_2D_XY_NETCDF_2    out:loc:tr xyo#:xyor   $base_data/$fname/OUTPUT _2_xy     nc
 DATA_2D_XY_AV_NETCDF_2 out:loc:tr xyo#:xyor   $base_data/$fname/OUTPUT _2_xy_av  nc
-DATA_2D_XZ_NETCDF_2    out:loc:tr xzo#:xzor   $base_data/$fname/OUTPUT _2_xz  nc
+DATA_2D_XZ_NETCDF_2    out:loc:tr xzo#:xzor   $base_data/$fname/OUTPUT _2_xz     nc
 DATA_2D_XZ_AV_NETCDF_2 out:loc:tr xzo#:xzor   $base_data/$fname/OUTPUT _2_xz_av  nc
-DATA_2D_YZ_NETCDF_2    out:loc:tr yzo#:yzor   $base_data/$fname/OUTPUT _2_yz  nc
+DATA_2D_YZ_NETCDF_2    out:loc:tr yzo#:yzor   $base_data/$fname/OUTPUT _2_yz     nc
 DATA_2D_YZ_AV_NETCDF_2 out:loc:tr yzo#:yzor   $base_data/$fname/OUTPUT _2_yz_av  nc