Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2478)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2479)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# option -A (project account number) added
+# 
+# 2422 2017-09-08 08:25:41Z raasch
 # initial revision
 # 
@@ -95,4 +98,5 @@
  palmrun_script_name=$prc
  openmp=false
+ project_account=""
  queue=none
  restart_run=false
@@ -155,8 +159,9 @@
     # READ SHELLSCRIPT-OPTIONS AND REBUILD THE PALMRUN-COMMAND STRING (prc),
     # WHICH WILL BE USED TO START RESTART-JOBS
- while  getopts  :a:bBCd:FG:h:jkm:M:O:q:r:R:s:t:T:u:U:vw:xX:yY:Z option
+ while  getopts  :a:A:bBCd:FG:h:jkm:M:O:q:r:R:s:t:T:u:U:vw:xX:yY:Z option
  do
    case  $option  in
        (a)   activation_string_list=$OPTARG; prc="$prc -a'$OPTARG'";;
+       (A)   project_account=$OPTARG; prc="$prc -A'$OPTARG'";;
        (b)   create_batch_job=true; prc="$prc -b";;
        (B)   delete_temporary_catalog=false; prc="$prc -B";;
@@ -204,4 +209,5 @@
     printf "\n      Option  Description                              Default-Value"
     printf "\n        -a    activation string list                   \"\" "
+    printf "\n        -A    project account number                   ---"
     printf "\n        -b    batch-job on local machine               ---"
     printf "\n        -B    do not delete temporary directory at end ---"
@@ -1274,4 +1280,14 @@
  fi
  printf "| %-25s%-45s | \n" "$column1" "$column2"
+
+ if  [[ $running_in_batch_mode = true  ||  $create_batch_job = true  ||  $create_remote_batch_job = true ]]
+ then
+    if [[ "$project_account" !="" ]]
+    then
+       column1="project account number:"
+       column2="$project_account"
+       printf "| %-25s%-45s | \n" "$column1" "$column2"
+    fi
+ fi
 
  if [[ -n $cores ]]
@@ -2332,4 +2348,5 @@
     [[ "$combine_plot_fields" = false ]]  &&  palmrun_com=${palmrun_com}" -Z"
     [[ "$max_par_io_str" != "" ]]  &&  palmrun_com=${palmrun_com}" -w $max_par_io_str"
+    [[ "$project_account" != "" ]]  &&  palmrun_com=${palmrun_com}" -A $project_account"
     if [[ $create_remote_batch_job = true ]]
     then
@@ -2371,5 +2388,5 @@
     do
        (( i = i + 1 ))
-       line=`echo  "${batch_directive[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{CORES}}/$cores/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{HOST_IDENTIFIER}}/${host_identifier}/g' | sed 's/{{FNAME}}/$fname/g' | sed 's/{{QUEUE}}/$queue/g' | sed 's/{{MEMORY}}/$memory/g'`
+       line=`echo  "${batch_directive[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{CORES}}/$cores/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{HOST_IDENTIFIER}}/${host_identifier}/g' | sed 's/{{FNAME}}/$fname/g' | sed 's/{{QUEUE}}/$queue/g' | sed 's/{{MEMORY}}/$memory/g' | sed 's/{{PROJECT_ACCOUNT}}/$project_account/g'`
        eval line=\"$line\"
        echo  "$line"                               >>  $jobfile
@@ -2393,5 +2410,5 @@
        do
           (( i = i + 1 ))
-          line=`echo  "${batch_directive_transfer[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{JOB_TRANSFER_PROTOCOL_FILE}}/$job_transfer_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{HOST_IDENTIFIER}}/${host_identifier}/g' | sed 's/{{FNAME}}/$fname/g'`
+          line=`echo  "${batch_directive_transfer[$i]}" | sed 's/{{JOB_ID}}/$job_id/g' | sed 's/{{JOBFILE}}/$job_protocol_file/g' | sed 's/{{JOB_TRANSFER_PROTOCOL_FILE}}/$job_transfer_protocol_file/g' | sed 's/{{CPU_HOURS}}/$cpu_hours/g' | sed 's/{{CPU_MINUTES}}/$cpu_minutes/g' | sed 's/{{CPU_SECONDS}}/$cpu_seconds/g' | sed 's/{{NODES}}/$nodes/g' | sed 's/{{TASKS_PER_NODE}}/$tasks_per_node/g' | sed 's/{{HOST_IDENTIFIER}}/${host_identifier}/g' | sed 's/{{FNAME}}/$fname/g' | sed 's/{{PROJECT_ACCOUNT}}/$project_account/g'`
           eval line=\"$line\"
           echo  "$line"                            >>  $jobfile