Index: palm/trunk/SCRIPTS/.palm.config.crayh
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.crayh	(revision 2479)
+++ palm/trunk/SCRIPTS/.palm.config.crayh	(revision 2480)
@@ -35,4 +35,5 @@
 # BATCH-directives to be used for batch jobs. If $-characters are required, hide them with \\\
 BD:#!/bin/bash
+BD:#PBS -A {{PROJECT_ACCOUNT}}
 BD:#PBS -N {{JOB_ID}}
 BD:#PBS -l walltime={{CPU_HOURS}}:{{CPU_MINUTES}}:{{CPU_SECONDS}}
@@ -44,4 +45,5 @@
 # BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
 BDT:#!/bin/bash
+BDT:#PBS -A {{PROJECT_ACCOUNT}}
 BDT:#PBS -N job_protocol_transfer
 BDT:#PBS -l walltime=00:30:00
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2479)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2480)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# bugfix for last revision
+# 
+# 2479 2017-09-19 06:12:16Z raasch
 # option -A (project account number) added
 # 
@@ -1283,5 +1286,5 @@
  if  [[ $running_in_batch_mode = true  ||  $create_batch_job = true  ||  $create_remote_batch_job = true ]]
  then
-    if [[ "$project_account" !="" ]]
+    if [[ "$project_account" != "" ]]
     then
        column1="project account number:"
Index: palm/trunk/SCRIPTS/palmrungui.py
===================================================================
--- palm/trunk/SCRIPTS/palmrungui.py	(revision 2479)
+++ palm/trunk/SCRIPTS/palmrungui.py	(revision 2480)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# option -A (project account number) added
+# 
+# 2477 2017-09-18 08:42:29Z maronga
 # Renamed restart run appendix from "f" to "r". Bugfix for displaying restart runs.>
 # Revised list of recently submitted jobs
@@ -597,5 +600,5 @@
         elif ( self.sender() == self.group_execution.findChild(QtGui.QLineEdit,"line_account")):
             tmptext = self.group_execution.findChild(QtGui.QLineEdit,"line_account").text()
-            self.change_commandline("u",tmptext)
+            self.change_commandline("A",tmptext)
         
         elif ( self.sender() ==  self.group_execution.findChild(QtGui.QLineEdit,"line_pe")):
@@ -882,5 +885,5 @@
                 self.group_execution.findChild(QtGui.QLineEdit,"line_q").setText(options) 
              
-            elif ( parameter == "u"):
+            elif ( parameter == "A"):
                 self.group_execution.findChild(QtGui.QLineEdit,"line_account").setText(options) 
              
Index: palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui
===================================================================
--- palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 2479)
+++ palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 2480)
@@ -503,5 +503,5 @@
        <property name="geometry">
         <rect>
-         <x>290</x>
+         <x>340</x>
          <y>30</y>
          <width>81</width>
@@ -519,7 +519,7 @@
        <property name="geometry">
         <rect>
-         <x>230</x>
+         <x>260</x>
          <y>25</y>
-         <width>51</width>
+         <width>71</width>
          <height>21</height>
         </rect>
@@ -535,5 +535,5 @@
        <property name="geometry">
         <rect>
-         <x>80</x>
+         <x>120</x>
          <y>55</y>
          <width>101</width>
@@ -548,12 +548,12 @@
        <property name="geometry">
         <rect>
-         <x>40</x>
+         <x>0</x>
          <y>55</y>
-         <width>31</width>
+         <width>111</width>
          <height>16</height>
         </rect>
        </property>
        <property name="text">
-        <string>PEs:</string>
+        <string>Processing cores:</string>
        </property>
        <property name="alignment">
@@ -564,5 +564,5 @@
        <property name="geometry">
         <rect>
-         <x>290</x>
+         <x>340</x>
          <y>55</y>
          <width>61</width>
@@ -577,12 +577,12 @@
        <property name="geometry">
         <rect>
-         <x>190</x>
+         <x>230</x>
          <y>50</y>
-         <width>91</width>
+         <width>101</width>
          <height>21</height>
         </rect>
        </property>
        <property name="text">
-        <string>Tasks / node:</string>
+        <string>Tasks per node:</string>
        </property>
        <property name="alignment">
@@ -593,5 +593,5 @@
        <property name="geometry">
         <rect>
-         <x>290</x>
+         <x>340</x>
          <y>80</y>
          <width>81</width>
@@ -606,12 +606,12 @@
        <property name="geometry">
         <rect>
-         <x>220</x>
+         <x>230</x>
          <y>80</y>
-         <width>61</width>
+         <width>101</width>
          <height>16</height>
         </rect>
        </property>
        <property name="text">
-        <string>Account:</string>
+        <string>Project account:</string>
        </property>
        <property name="alignment">
@@ -622,12 +622,12 @@
        <property name="geometry">
         <rect>
-         <x>0</x>
+         <x>10</x>
          <y>80</y>
-         <width>71</width>
+         <width>101</width>
          <height>16</height>
         </rect>
        </property>
        <property name="text">
-        <string>CPU time:</string>
+        <string>Wallclock time:</string>
        </property>
        <property name="alignment">
@@ -638,5 +638,5 @@
        <property name="geometry">
         <rect>
-         <x>80</x>
+         <x>120</x>
          <y>80</y>
          <width>101</width>
@@ -651,12 +651,12 @@
        <property name="geometry">
         <rect>
-         <x>30</x>
-         <y>35</y>
-         <width>41</width>
+         <x>20</x>
+         <y>30</y>
+         <width>91</width>
          <height>16</height>
         </rect>
        </property>
        <property name="text">
-        <string>Host:</string>
+        <string>Configuration:</string>
        </property>
        <property name="scaledContents">
@@ -670,5 +670,5 @@
        <property name="geometry">
         <rect>
-         <x>80</x>
+         <x>120</x>
          <y>30</y>
          <width>101</width>
@@ -768,8 +768,4 @@
       </widget>
      </widget>
-     <zorder>group_job</zorder>
-     <zorder>group_runcontrol</zorder>
-     <zorder>group_execution</zorder>
-     <zorder>groupBox</zorder>
     </widget>
     <widget class="QWidget" name="tab_2">
@@ -1347,13 +1343,15 @@
  <tabstops>
   <tabstop>pushButton</tabstop>
-  <tabstop>line_jobname</tabstop>
-  <tabstop>list_jobname</tabstop>
   <tabstop>drop_job</tabstop>
   <tabstop>line_host</tabstop>
   <tabstop>line_q</tabstop>
-  <tabstop>line_account</tabstop>
   <tabstop>line_pe</tabstop>
   <tabstop>line_tpn</tabstop>
   <tabstop>line_time</tabstop>
+  <tabstop>line_account</tabstop>
+  <tabstop>check_restarts</tabstop>
+  <tabstop>check_delete_tmp_files</tabstop>
+  <tabstop>check_verbose</tabstop>
+  <tabstop>check_cycfill</tabstop>
   <tabstop>check_ts</tabstop>
   <tabstop>check_pr</tabstop>
@@ -1366,9 +1364,10 @@
   <tabstop>check_prt</tabstop>
   <tabstop>check_pts</tabstop>
-  <tabstop>check_restarts</tabstop>
-  <tabstop>check_delete_tmp_files</tabstop>
-  <tabstop>check_verbose</tabstop>
   <tabstop>button_start</tabstop>
+  <tabstop>button_exit</tabstop>
   <tabstop>button_clear</tabstop>
+  <tabstop>commandline</tabstop>
+  <tabstop>list_jobname</tabstop>
+  <tabstop>line_jobname</tabstop>
   <tabstop>check_b</tabstop>
   <tabstop>check_F</tabstop>
@@ -1377,4 +1376,5 @@
   <tabstop>check_O</tabstop>
   <tabstop>check_x</tabstop>
+  <tabstop>check_Z</tabstop>
   <tabstop>line_m</tabstop>
   <tabstop>line_M</tabstop>
@@ -1383,6 +1383,6 @@
   <tabstop>line_w</tabstop>
   <tabstop>line_user</tabstop>
-  <tabstop>commandline</tabstop>
-  <tabstop>button_exit</tabstop>
+  <tabstop>line_PE_atmos</tabstop>
+  <tabstop>line_PE_ocean</tabstop>
  </tabstops>
  <resources/>