Index: palm/trunk/SCRIPTS/.palm.config.crayh
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.crayh	(revision 2480)
+++ palm/trunk/SCRIPTS/.palm.config.crayh	(revision 2481)
@@ -3,6 +3,6 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_data           ~/palm/current_version/JOBS
 %base_directory      $HOME/palm/current_version
-%base_data           ~/palm/current_version/JOBS
 %source_path         $HOME/palm/current_version/trunk/SOURCE
 %user_source_path    $base_directory/JOBS/$fname/USER_CODE
@@ -12,8 +12,6 @@
 #
 %local_ip            130.75.105.103
-%local_hostname      bora_imuk
 %local_username      raasch
 %remote_ip           130.75.4.1
-%remote_hostname     cray-han
 %remote_loginnode    hlogin1
 %remote_username     niksiraa
Index: palm/trunk/SCRIPTS/.palm.config.default
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.default	(revision 2481)
+++ palm/trunk/SCRIPTS/.palm.config.default	(revision 2481)
@@ -0,0 +1,42 @@
+#$Id$
+#column 1          column 2
+#name of variable  value of variable (~ must not be used)
+#----------------------------------------------------------------------------
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $HOME/palm/current_version/trunk/SOURCE
+%user_source_path  $base_directory/JOBS/$fname/USER_CODE
+#
+%local_ip            <replace by your computers IP address>
+%local_username      <replace by your unix username>
+%fast_io_catalog     <replace by a folder name which allows for fast I/O>
+%compiler_name       mpif90
+%compiler_name_ser   ifort
+%cpp_options         -cpp -D__parallel -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__fftw -D__netcdf
+%make_options        -j 4
+%compiler_options    -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%linker_options      -openmp -fpe0 -O3 -xHost -fp-model source -ftz -fno-alias -no-prec-div -no-prec-sqrt -ip -nbs -I /muksoft/packages/fftw/3.3.4/include -L/muksoft/packages/fftw/3.3.4/lib64 -lfftw3 -I /muksoft/packages/netcdf/4_intel/include -L/muksoft/packages/netcdf/4_intel/lib -lnetcdf -lnetcdff
+%hostfile            auto
+%execute_command     mpiexec  -machinefile hostfile  -n {{MPI_TASKS}}  palm
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.imuk	(revision 2480)
+++ palm/trunk/SCRIPTS/.palm.config.imuk	(revision 2481)
@@ -3,6 +3,6 @@
 #name of variable  value of variable (~ must not be used)
 #----------------------------------------------------------------------------
+%base_data         ~/palm/current_version/JOBS
 %base_directory    $HOME/palm/current_version
-%base_data         ~/palm/current_version/JOBS
 %source_path       $HOME/palm/current_version/trunk/SOURCE
 %user_source_path  $base_directory/JOBS/$fname/USER_CODE
@@ -10,5 +10,4 @@
 %local_ip            130.75.105.103
 %local_username      raasch
-%local_hostname      bora_imuk
 %fast_io_catalog     /localdata/raasch
 %compiler_name       mpif90