Index: palm/trunk/SCRIPTS/palm_jm
===================================================================
--- palm/trunk/SCRIPTS/palm_jm	(revision 2483)
+++ palm/trunk/SCRIPTS/palm_jm	(revision 2484)
@@ -16,5 +16,5 @@
 #
 # Copyright 1997-2016  Leibniz Universitaet Hannover
-#--------------------------------------------------------------------------------#
+##--------------------------------------------------------------------------------#
 #
 # Current revisions:
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Adapted for palmrun with USER_CODE always stored under /JOBS/name/USER_CODE/.
+# Added PALM logo
+# 
+# 2068 2016-11-11 21:59:39Z maronga
 #
 # 2067 2016-11-11 21:55:49Z maronga
@@ -68,8 +72,5 @@
    palm_dir = out.split("palm")[0] + "palm/" + out.split("palm")[1].split("/")[1]
    out = None
-   
-   # remove this line on release
-#   palm_dir = '/home/maronga/PUB/thinktank/maronga/job_manager'
-   
+      
    job_dir = palm_dir + '/JOBS'
    user_dir = palm_dir + '/USER_CODE'
@@ -95,4 +96,8 @@
         # Load predefined mainwindow
         uic.loadUi(palm_bin + '/palm_jm_files/palm_jm.ui', self)
+
+        self.palm_logo.setPixmap(QtGui.QPixmap(palm_dir  + "/trunk/SCRIPTS/palmrungui_files/logo.png"))
+
+
     
         # Display MainWindow
@@ -100,5 +105,5 @@
         QtGui.QApplication.processEvents()
 
-        self.load_jobs()
+        #self.load_jobs()
 
     
@@ -149,5 +154,5 @@
 	        self.list_input.addItem(str(list_of_files[i]))
   
-       job_to_show = user_dir + "/" + self.list_jobs.currentItem().text()
+       job_to_show = job_dir + "/" + self.list_jobs.currentItem().text() + "/USER_CODE"
        
        if ( os.path.isdir(job_to_show) ):
@@ -199,24 +204,29 @@
              shutil.copy(tmp_file, new_file)
 
-#      copy and rename user code (if present)
-       user_code_to_copy = user_dir + "/" + old_job_name
-       new_user_code_dir = user_dir + "/" + new_job_name
-
-#      check if a job exists with the new job name  
-       if ( os.path.isdir(new_user_code_dir) ):
-	   notify = QtGui.QMessageBox.warning(self,'Create new user code directory',"Error. Could not create user code directory. A user code directory with the new name already exists.")
+
+
+
+       new_user_dir  = job_dir + "/" + new_job_name + "/USER_CODE"
+       
+#      check if user code exists in the new job directory 
+       if ( os.path.isdir(new_user_dir) ):
+	   notify = QtGui.QMessageBox.warning(self,'Create new user code directory',"Error. Could not create user code directory. A user code directiory with the new name already exists.")
 	   self.setEnabled(True)
 	   return
        else:
-	   os.makedirs(new_user_code_dir)
-
-       if ( os.path.isdir(user_code_to_copy) ):
-
-          list_of_files = os.listdir(user_code_to_copy)
+	   os.makedirs(new_user_dir)
+
+
+#      copy user code files (if present)       
+       user_to_copy = job_dir + "/" + old_job_name + "/USER_CODE"
+
+       if ( os.path.isdir(user_to_copy) ):
+
+          list_of_files = os.listdir(user_to_copy)
          
           for i in range(0,len(list_of_files)):
 
-             tmp_file = user_code_to_copy + "/" + list_of_files[i]        
-             new_file = new_user_code_dir + "/" + list_of_files[i]
+             tmp_file = user_to_copy + "/" + list_of_files[i]          
+             new_file = new_user_dir + "/" + list_of_files[i]
              shutil.copy(tmp_file, new_file)
 
@@ -269,24 +279,27 @@
                 shutil.copy(tmp_file, new_file)
 
-#         copy and rename user code (if present)
-          user_code_to_copy = user_dir + "/" + old_job_name
-          new_user_code_dir = user_dir + "/" + new_job_name
-
-#         check if a job exists with the new job name  
-          if ( os.path.isdir(new_user_code_dir) ):
-	     notify = QtGui.QMessageBox.warning(self,'Create new user code directory',"Error. Could not create user code directory. A user code directory with the new name already exists.")
-	     self.setEnabled(True)
-	     return
+
+          new_user_dir  = job_dir + "/" + new_job_name + "/USER_CODE"
+       
+#         check if user code exists in the new job directory 
+          if ( os.path.isdir(new_user_dir) ):
+	      notify = QtGui.QMessageBox.warning(self,'Create new user code directory',"Error. Could not create user code directory. A user code directiory with the new name already exists.")
+	      self.setEnabled(True)
+	      return
           else:
-	     os.makedirs(new_user_code_dir)
-
-          if ( os.path.isdir(user_code_to_copy) ):
-
-             list_of_files = os.listdir(user_code_to_copy)
+	      os.makedirs(new_user_dir)
+
+
+#         copy user code files (if present)       
+          user_to_copy = job_dir + "/" + old_job_name + "/USER_CODE"
+
+          if ( os.path.isdir(user_to_copy) ):
+
+             list_of_files = os.listdir(user_to_copy)
          
              for i in range(0,len(list_of_files)):
 
-                tmp_file = user_code_to_copy + "/" + list_of_files[i]        
-                new_file = new_user_code_dir + "/" + list_of_files[i]
+                tmp_file = user_to_copy + "/" + list_of_files[i]          
+                new_file = new_user_dir + "/" + list_of_files[i]
                 shutil.copy(tmp_file, new_file)
 
@@ -345,5 +358,5 @@
        sel_files = self.list_user.selectedItems()
        
-       input_dir = user_dir + "/" + sel_job + "/"
+       input_dir = job_dir + "/" + sel_job + "/USER_CODE/"
        
        open_files = ""
Index: palm/trunk/SCRIPTS/palm_jm_files/palm_jm.ui
===================================================================
--- palm/trunk/SCRIPTS/palm_jm_files/palm_jm.ui	(revision 2483)
+++ palm/trunk/SCRIPTS/palm_jm_files/palm_jm.ui	(revision 2484)
@@ -198,4 +198,23 @@
     </property>
    </widget>
+   <widget class="QLabel" name="palm_logo">
+    <property name="geometry">
+     <rect>
+      <x>630</x>
+      <y>340</y>
+      <width>79</width>
+      <height>72</height>
+     </rect>
+    </property>
+    <property name="text">
+     <string/>
+    </property>
+    <property name="pixmap">
+     <pixmap>../../../../nesting_version/trunk/SCRIPTS/palm_jm_files/palm_logo_black_and_blue.png</pixmap>
+    </property>
+    <property name="scaledContents">
+     <bool>true</bool>
+    </property>
+   </widget>
   </widget>
   <widget class="QMenuBar" name="menubar">
Index: palm/trunk/SCRIPTS/palmrungui.py
===================================================================
--- palm/trunk/SCRIPTS/palmrungui.py	(revision 2483)
+++ palm/trunk/SCRIPTS/palmrungui.py	(revision 2484)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# Added PALM logo
+# 
+# 2480 2017-09-19 06:24:14Z maronga
 # option -A (project account number) added
 # 
@@ -93,6 +96,8 @@
     def __init__(self, parent=None):
         super(Mainwindow, self).__init__()
-        
         self.setupUi(self)
+        
+        self.palm_logo.setPixmap(QtGui.QPixmap(palm_dir + "/trunk/SCRIPTS/palmrungui_files/logo.png"))   
+        
         self.recent_jobs(50)
         commandline = self.groupBox.findChild(QtGui.QLineEdit,"commandline")
@@ -100,4 +105,5 @@
         
         self.tabWidget.setCurrentIndex(0)  
+        
         
         filename = "%s/.palmrun.gui.default" % (version_path)  
@@ -842,4 +848,7 @@
     ##############################
     def setup_gui(self, palmrun_str):  
+      
+        self.palm_logo.setPixmap(QtGui.QPixmap(palm_dir + "/trunk/SCRIPTS/palmrungui_files/logo.png"))   
+      
         #  Some initial settings
         user = "" 
Index: palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui
===================================================================
--- palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 2483)
+++ palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 2484)
@@ -202,6 +202,6 @@
         <x>0</x>
         <y>0</y>
-        <width>541</width>
-        <height>331</height>
+        <width>571</width>
+        <height>296</height>
        </rect>
       </property>
@@ -341,5 +341,5 @@
         <x>320</x>
         <y>0</y>
-        <width>201</width>
+        <width>251</width>
         <height>281</height>
        </rect>
@@ -490,5 +490,5 @@
         <x>0</x>
         <y>305</y>
-        <width>581</width>
+        <width>431</width>
         <height>206</height>
        </rect>
@@ -685,5 +685,5 @@
          <x>10</x>
          <y>105</y>
-         <width>561</width>
+         <width>431</width>
          <height>20</height>
         </rect>
@@ -767,4 +767,20 @@
        </property>
       </widget>
+     </widget>
+     <widget class="QLabel" name="palm_logo">
+      <property name="geometry">
+       <rect>
+        <x>490</x>
+        <y>440</y>
+        <width>77</width>
+        <height>72</height>
+       </rect>
+      </property>
+      <property name="text">
+       <string>TextLabel</string>
+      </property>
+      <property name="scaledContents">
+       <bool>true</bool>
+      </property>
      </widget>
     </widget>