Index: /palm/trunk/INSTALL/example_cbl_p3d
===================================================================
--- /palm/trunk/INSTALL/example_cbl_p3d	(revision 2487)
+++ /palm/trunk/INSTALL/example_cbl_p3d	(revision 2488)
@@ -1,37 +1,91 @@
- &inipar nx = 39, ny = 39, nz = 40,
-         dx = 50.0, dy = 50.0, dz = 50.0,
-         dz_stretch_level = 1200.0,
+!-------------------------------------------------------------------------------
+!-- INITIALIZATION PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar
+!-------------------------------------------------------------------------------
+&inipar
+!
+!-- grid parameters
+!-------------------------------------------------------------------------------
+    nx                         = 39, ! Number of gridboxes in x-direction (nx+1)
+    ny                         = 39, ! Number of gridboxes in y-direction (ny+1)
+    nz                         = 40, ! Number of gridboxes in z-direction (nz)
 
-         fft_method = 'temperton-algorithm',
+    dx                         = 50.0, ! Size of single gridbox in x-direction
+    dy                         = 50.0, ! Size of single gridbox in y-direction
+    dz                         = 50.0, ! Size of single gridbox in z-direction
 
-         initializing_actions = 'set_constant_profiles',
-         ug_surface = 0.0, vg_surface = 0.0,
-         pt_vertical_gradient       = 0.0, 1.0,
-         pt_vertical_gradient_level = 0.0, 800.0,
+    dz_stretch_level           = 1200.0, ! Height (in m) where stretching starts
+    dz_stretch_factor          = 1.08,   ! dz(k+1) = dz(k) * dz_stretch_factor
+!
+!-- initialization
+!-------------------------------------------------------------------------------
+    initializing_actions       = 'set_constant_profiles', ! initial conditions
+
+    ug_surface                 = 0.0, ! u-comp of geostrophic wind at surface
+    vg_surface                 = 0.0, ! v-comp of geostrophic wind at surface
+
+    pt_surface                 = 300.0, ! initial surface potential temp
+
+    pt_vertical_gradient       =    0.0, ! piecewise temp gradients
+                                    1.0,
+    pt_vertical_gradient_level =    0.0, ! height level of temp gradients
+                                  800.0,
 
 
-	 surface_heatflux = 0.1, bc_pt_b = 'neumann',  /
+!
+!-- boundary conditions
+!-------------------------------------------------------------------------------
+    surface_heatflux           = 0.1, ! sensible heat flux at the bottom surface
+    bc_pt_b                    = 'neumann', ! required with surface_heatflux
+!
+!-- numerics
+!-------------------------------------------------------------------------------
+    fft_method                 = 'temperton-algorithm',   ! build-in fft method
 
+/ ! end of initialization parameter namelist
 
- &d3par  end_time = 3600.0,
+!-------------------------------------------------------------------------------
+!-- RUNTIME PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/d3par
+!-------------------------------------------------------------------------------
+&d3par
+!
+!-- run steering
+!-------------------------------------------------------------------------------
+    end_time                   = 3600.0, ! simulation time of the 3D model
 
-         create_disturbances = .T.,
-         dt_disturb = 150.0, disturbance_energy_limit = 0.01,
+    create_disturbances        = .TRUE., ! randomly perturbate horiz. velocity
+    dt_disturb                 = 150.0,  ! interval for random perturbations
+    disturbance_energy_limit   = 0.01,   ! upper limit for perturbation energy
 
-         dt_run_control = 0.0,
+    data_output_2d_on_each_pe  = .FALSE., ! don't do 2D output on each MPI rank
 
-         data_output = 'w_xy', 'w_xz', 'w_xz_av', 'pt_xy', 'pt_xz',
+!
+!-- data output
+!-------------------------------------------------------------------------------
+    netcdf_data_format         = 2, ! use NetCDF3
 
-         dt_data_output = 900.0,
-         dt_data_output_av = 1800.0,
-         averaging_interval = 900.0,
-         dt_averaging_input = 10.0,
+    dt_run_control             = 0.0,    ! output interval for run control
+    dt_data_output             = 900.0,  ! output interval for general data
+    dt_data_output_av          = 1800.0, ! output interval for averaged data
+    dt_dopr                    = 900.0,  ! output interval for profile data
 
-         section_xy = 2, 10, section_xz = 20,
+    data_output                = 'w_xy', 'w_xz', 'w_xz_av',
+                                 'pt_xy', 'pt_xz',
 
-         data_output_2d_on_each_pe = .F.,
+    data_output_pr             = 'wpt', 'w"pt"', 'w*pt*',
+                                 'w*2',
+                                 '#pt', 'pt*2',
 
-         dt_dopr = 900.0,
-         averaging_interval_pr = 600.0, dt_averaging_input_pr = 10.0,
-         data_output_pr = '#pt', 'w"pt"', 'w*pt*', 'wpt', 'w*2', 'pt*2', /
+    section_xy                 = 2,  ! grid index for 2D XY cross sections
+                                 10,
+    section_xz                 = 20, ! grid index for 2D XZ cross sections
 
+    averaging_interval         = 900.0, ! averaging interval general data
+    dt_averaging_input         = 10.0,  ! averaging general data sampling rate
+
+    averaging_interval_pr      = 600.0, ! averaging interval profile data
+    dt_averaging_input_pr      = 10.0,  ! averaging profile data sampling rate
+
+/ ! end of runtime parameter namelist
+ 