Index: /palm/trunk/INSTALL/test_oceanml_p3d
===================================================================
--- /palm/trunk/INSTALL/test_oceanml_p3d	(revision 2492)
+++ /palm/trunk/INSTALL/test_oceanml_p3d	(revision 2492)
@@ -0,0 +1,43 @@
+&inipar nx = 63, ny = 63, nz=64,
+        dx = 1.25, dy = 1.25, dz = 1.25,
+
+        fft_method = 'temperton-algorithm',
+
+        ocean = .T.,
+
+        initializing_actions = 'set_constant_profiles',
+ 
+        phi = 55.6,
+           
+        momentum_advec = 'pw-scheme',
+        scalar_advec = 'pw-scheme', 
+
+        ug_surface =0.0, vg_surface = 0.0,
+        pt_surface                 = 300.0,
+
+        use_top_fluxes= .T.,
+        use_surface_fluxes = .F.,
+        constant_flux_layer= .F.,
+        
+        top_momentumflux_u = -0.0001,
+        top_momentumflux_v = 0.0,
+        
+        top_heatflux = 0.0,
+        top_salinityflux = 0.0,
+
+        bc_uv_b = 'neumann', bc_uv_t = 'neumann', 
+        bc_pt_b = 'neumann', bc_pt_t = 'neumann',
+        bc_p_b  = 'neumann', bc_p_t  = 'neumann',
+        bc_s_b  = 'initial_gradient', bc_s_t  = 'neumann',
+        bc_sa_t = 'neumann', /
+
+&d3par  end_time = 300.0,
+        create_disturbances = .T.,
+        dt_disturb = 60.0,
+        disturbance_energy_limit = 1.0e-4,
+        disturbance_amplitude = 0.25e-1,
+        dt_run_control = 0.0,
+
+        data_output_pr = 'e','e*', '#pt',  /
+       
+
Index: /palm/trunk/INSTALL/test_oceanml_rc
===================================================================
--- /palm/trunk/INSTALL/test_oceanml_rc	(revision 2492)
+++ /palm/trunk/INSTALL/test_oceanml_rc	(revision 2492)
@@ -0,0 +1,203 @@
+
+ ******************************    --------------------------------------------
+ * PALM 4.0  Rev: 2486        *    ocean - run without 1D - prerun
+ ******************************    --------------------------------------------
+
+ Date:                 21-09-17    Run:       test_oceanml        
+ Time:                 16:12:42    Run-No.:   00
+ Run on host:             crayh
+ Number of PEs:               4    Processor grid (x,y): (   2,   2) calculated
+ ------------------------------------------------------------------------------
+
+ Numerical Schemes:
+ -----------------
+
+ --> Use the boussinesq approximation for the model equations.
+ --> Solve perturbation pressure via FFT using temperton-algorithm routines
+     perturbation pressure is calculated at every Runge-Kutta step
+ --> Momentum advection via Piascek-Williams-Scheme (Form C3) or Upstream
+ --> Scalar advection via Piascek-Williams-Scheme (Form C3) or Upstream
+ --> Loop optimization method: cache
+ --> Time differencing scheme: runge-kutta-3       
+ ------------------------------------------------------------------------------
+
+
+ Run time and time step information:
+ ----------------------------------
+
+ Timestep:             variable     maximum value: 20.000 s    CFL-factor: 0.90
+ Start time:              0.000 s
+ End time:              300.000 s
+
+
+ Computational grid and domain size:
+ ----------------------------------
+
+ Grid length:      dx =      1.250 m    dy =      1.250 m    dz =      1.250 m
+ Domain size:       x =     80.000 m     y =     80.000 m  z(u) =    -80.000 m
+
+ Number of gridpoints (x,y,z):  (0:  63, 0:  63, 0:  65)
+ Subdomain size (x,y,z):        (    32,     32,     66)
+
+
+    Characteristic levels of the geo. wind component ug:
+
+       Height:         0.0     0.0  m
+       ug:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0      65
+
+    Characteristic levels of the geo. wind component vg:
+
+       Height:         0.0     0.0  m
+       vg:            0.00    0.00  m/s
+       Gradient:    ------    0.00  1/100s
+       Gridpoint:        0      65
+
+
+ Topography information:
+ ----------------------
+
+ Topography: flat                                    
+
+
+ Boundary conditions:
+ -------------------
+
+                     p                    uv                                  pt
+
+ B. bound.: p(0)     = p(1)   | uv(0)     = uv(1)                 | pt(0)     = pt(1)            
+ T. bound.: p(nzt+1) = p(nzt) | uv(nzt+1) = uv(nzt)               | pt(nzt+1) = pt(nzt)          
+
+                     e
+
+ B. bound.: e(0)     = e(1)                                                                      
+ T. bound.: e(nzt+1) = e(nzt) = e(nzt-1)                                                         
+
+                     sa
+
+ B. bound.: sa(0)    = sa(1)                                                                     
+ T. bound.: sa(nzt+1) = sa(nzt)                                                                  
+
+ Top surface fluxes are used in diffusion terms at k=nzt
+       Predefined constant momentumflux:  u: -0.000100 m**2/s**2
+                                          v:  0.000000 m**2/s**2
+       Predefined constant heatflux:    0.000000 K m/s
+       Predefined constant salinityflux:    0.000000 psu m/s
+
+
+ Lateral boundaries:
+       left/right:  cyclic              
+       north/south: cyclic              
+
+
+ Initial profiles:
+ ----------------
+
+    Characteristic levels of the initial temperature profile:
+
+       Height:           0.0     0.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0  m
+       Temperature:   300.00  300.00  300.00  300.00  300.00  300.00  300.00  300.00  300.00  300.00  300.00  K
+       Gradient:      ------    0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00  K/100m
+       Gridpoint:          0      64      63      62      61      60      59      58      57      56      55
+
+    Characteristic levels of the initial salinity profile:
+
+       Height:        0.0     0.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0    -1.0  m
+       Salinity:    35.00   35.00   35.00   35.00   35.00   35.00   35.00   35.00   35.00   35.00   35.00  psu
+       Gradient:   ------    0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00    0.00  psu/100m
+       Gridpoint:       0      64      63      62      61      60      59      58      57      56      55
+
+
+ List output:
+ -----------
+
+    1D-Profiles:
+       Output every             ******** s
+
+
+ Data output:
+ -----------
+
+
+    1D-Profiles:
+       Output format: netCDF 64bit offset                     
+
+
+       Profile: e, e*, pt,                                                   
+       Output every             ******** s
+       Time averaged over           0.00 s
+       Averaging input every        0.00 s
+
+    Time series:
+       Output format: netCDF 64bit offset                     
+
+       Output every                 0.00 s
+
+ ------------------------------------------------------------------------------
+
+
+ Physical quantities:
+ -------------------
+
+    Geograph. latitude  :   phi    = 55.6 degr
+    Angular velocity    :   omega  = 0.729E-04 rad/s
+    Coriolis parameter  :   f      =  0.000120 1/s
+                            f*     =  0.000082 1/s
+
+    Gravity             :   g      =  9.8 m/s**2
+
+    Reference state used in buoyancy terms: initial_profile
+
+
+ Cloud physics quantities / methods:
+ ----------------------------------
+
+
+
+ LES / Turbulence quantities:
+ ---------------------------
+
+    Mixing length is limited to 1.80 * z
+
+
+ Actions during the simulation:
+ -----------------------------
+
+    Disturbance impulse (u,v) every :    60.00 s
+    Disturbance amplitude           :     0.03 m/s
+    Lower disturbance level         :   -28.13 m (GP   42)
+    Upper disturbance level         :    -4.38 m (GP   61)
+    Disturbances cease as soon as the disturbance energy exceeds 0.000 m**2/s**2
+    Random number generator used    : random-parallel
+
+
+
+ *** no user-defined variables found
+
+ ------------------------------------------------------------------------------
+
+
+
+Run-control output:
+------------------
+
+RUN  ITER. HH:MM:SS.SS    DT(E)     UMAX     VMAX     WMAX     U*    W*      THETA*     Z_I     ENERG.   DISTENERG    DIVOLD     DIVNEW     UMAX(KJI)    VMAX(KJI)    WMAX(KJI)   ADVECX   ADVECY   MGCYC
+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
+  0      0 00:00:00.00  20.0000A   0.0228D  0.0228D  0.0124  0.000  0.00   0.000E+00      0.  0.122E-04  0.122E-04  0.270E-02  0.387E-12   53   1   6   58  26  28   47   9   8    0.000    0.000       0
+  0      1 00:00:20.00  20.0000A   0.0233  -0.0219  -0.0126  0.000  0.00   0.000E+00      0.  0.123E-04  0.122E-04  0.442E-04  0.609E-14   53   1   6   60  21  57   47  45  36    0.000    0.000       0
+  0      2 00:00:40.00  20.0000A   0.0234  -0.0224  -0.0131  0.000  0.00   0.000E+00      0.  0.123E-04  0.122E-04  0.441E-04  0.607E-14   53   1   6   57  54  38   47  45  36    0.000    0.000       0
+  0      3 00:01:00.00  20.0000A  -0.0340D  0.0331D -0.0184  0.000  0.00   0.000E+00      0.  0.248E-04  0.244E-04  0.271E-02  0.388E-12   60  53  41   58  27  28   50  31  19    0.000    0.000       0
+  0      4 00:01:20.00  20.0000A  -0.0329   0.0325  -0.0188  0.000  0.00   0.000E+00      0.  0.249E-04  0.242E-04  0.885E-04  0.122E-13   60  53  41   58  27  28   50  31  19    0.000    0.000       0
+  0      5 00:01:40.00  20.0000A   0.0315  -0.0323  -0.0188  0.000  0.00   0.000E+00      0.  0.250E-04  0.240E-04  0.879E-04  0.121E-13   49  55  35   57   1  26   50  31  19    0.000    0.000       0
+  0      6 00:02:00.00  20.0000A   0.0435D -0.0470D -0.0219  0.000  0.00   0.000E+00      0.  0.375E-04  0.360E-04  0.272E-02  0.390E-12   56  24  27   57   0  26   54  50  12    0.000    0.000       0
+  0      7 00:02:20.00  20.0000A   0.0445  -0.0456  -0.0217  0.000  0.00   0.000E+00      0.  0.374E-04  0.354E-04  0.129E-03  0.177E-13   56  24  28   57   0  26   47  26  27    0.000    0.000       0
+  0      8 00:02:40.00  20.0000A   0.0473   0.0449  -0.0218  0.000  0.00   0.000E+00      0.  0.372E-04  0.346E-04  0.127E-03  0.174E-13   56  24  28   53  53  45   47  26  27    0.000    0.000       0
+  0      9 00:03:00.00  20.0000A   0.0528D -0.0504D -0.0250  0.000  0.00   0.000E+00      0.  0.495E-04  0.463E-04  0.271E-02  0.388E-12   56  24  28   43  11  40   56  43  19    0.000    0.000       0
+  0     10 00:03:20.00  20.0000A   0.0542   0.0496  -0.0253  0.000  0.00   0.000E+00      0.  0.489E-04  0.449E-04  0.165E-03  0.223E-13   60  48   2   57   8  30   56  43  19    0.000    0.000       0
+  0     11 00:03:40.00  20.0000A   0.0528  -0.0523  -0.0253  0.000  0.00   0.000E+00      0.  0.481E-04  0.433E-04  0.160E-03  0.215E-13   60  48   3   43  10  40   55  51  57    0.000    0.000       0
+  0     12 00:04:00.00  19.6000A   0.0504D -0.0575D -0.0298  0.000  0.00   0.000E+00      0.  0.595E-04  0.539E-04  0.273E-02  0.393E-12   43  42  39   57  27  20   58  20  59    0.000    0.000       0
+  0     13 00:04:19.60  19.9000A   0.0544  -0.0566  -0.0284  0.000  0.00   0.000E+00      0.  0.581E-04  0.515E-04  0.186E-03  0.249E-13   43  42  39   57  26  20   58  20  59    0.000    0.000       0
+  0     14 00:04:39.50  19.7000A   0.0520  -0.0572  -0.0274  0.000  0.00   0.000E+00      0.  0.565E-04  0.489E-04  0.181E-03  0.241E-13   43  42  39   57  26  20   57  20  59    0.000    0.000       0
+  0     15 00:04:59.19  20.0000A  -0.0511  -0.0511  -0.0284  0.000  0.00   0.000E+00      0.  0.549E-04  0.462E-04  0.171E-03  0.226E-13   53  33   8   59  60  21   54  50  57    0.000    0.000       0
+  0     16 00:05:19.19  19.9000A   0.0559D -0.0566D -0.0341  0.000  0.00   0.000E+00      0.  0.655E-04  0.556E-04  0.272E-02  0.391E-12   58  23  33   48   9   0   54  50  57    0.000    0.000       0
Index: /palm/trunk/SCRIPTS/palmbuild
===================================================================
--- /palm/trunk/SCRIPTS/palmbuild	(revision 2491)
+++ /palm/trunk/SCRIPTS/palmbuild	(revision 2492)
@@ -74,5 +74,5 @@
           exit 0
        fi
-       rm -rf ${source_path}/${host_identifier}_last_make_protocol
+       rm  ${source_path}/${host_identifier}_last_make_protocol
       ' exit
 
@@ -80,5 +80,5 @@
     # IN CASE OF TERMINAL-BREAK:
  trap 'printf "\n\n +++ palmbuild killed by \"^C\" \n\n"
-       rm -rf ${source_path}/${host_identifier}_last_make_protocol
+       rm  ${source_path}/${host_identifier}_last_make_protocol
        exit
       ' 2