Index: palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- palm/trunk/SCRIPTS/.palm.iofiles	(revision 2498)
+++ palm/trunk/SCRIPTS/.palm.iofiles	(revision 2499)
@@ -9,15 +9,15 @@
 #WTM_DATA                 in:job        d3#:d3r  $base_data/$fname/INPUT         _wtm
 BININ                    in:loc:lnpe   d3r:rec  $fast_io_catalog/$fname/RESTART _d3d
-PARTICLE_RESTART_DATA_IN in:loc:lnpe   prtf     $fast_io_catalog/$fname/RESTART _rprt
-DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT        _pr     nc
-DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT        _sp     nc
-DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT        _ts     nc
-DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT        _pts    nc
-DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT        _xy     nc
-DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT        _xy_av  nc
-DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT        _xz     nc
-DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT        _yz     nc
-DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT        _3d     nc
-DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT        _prt
+PARTICLE_RESTART_DATA_IN in:loc:lnpe   prtr     $fast_io_catalog/$fname/RESTART _rprt
+DATA_1D_PR_NETCDF        in:locopt     prr      $base_data/$fname/OUTPUT        _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spr      $base_data/$fname/OUTPUT        _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsr      $base_data/$fname/OUTPUT        _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsr     $base_data/$fname/OUTPUT        _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyr      $base_data/$fname/OUTPUT        _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyr      $base_data/$fname/OUTPUT        _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzr      $base_data/$fname/OUTPUT        _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzr      $base_data/$fname/OUTPUT        _yz     nc
+DATA_3D_NETCDF           in:locopt     3dr      $base_data/$fname/OUTPUT        _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtr     $base_data/$fname/OUTPUT        _prt
 #
 #----------------------------------------------------------------------------
@@ -25,5 +25,5 @@
 #----------------------------------------------------------------------------
 BINOUT                    out:loc:lnpe restart   $fast_io_catalog/$fname/RESTART  _d3d
-PARTICLE_RESTART_DATA_OUT out:loc:lnpe prt#:prtf $fast_io_catalog/$fname/RESTART  _rprt
+PARTICLE_RESTART_DATA_OUT out:loc:lnpe prt#:prtr $fast_io_catalog/$fname/RESTART  _rprt
 #
 RUN_CONTROL       out:loc:tr   d3#:pcr $base_data/$fname/MONITORING  _rc
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2498)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2499)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# option -h named configuration identifier
+# 
+# 2480 2017-09-19 06:24:14Z maronga
 # bugfix for last revision
 # 
@@ -217,5 +220,5 @@
     printf "\n        -d    base name of files attached to program   test"
     printf "\n        -F    create batch job file only               ---"
-    printf "\n        -h    host identifier                          \"default\" "
+    printf "\n        -h    configuration identifier                 \"default\" "
     printf "\n        -k    keep data from previous run"
     printf "\n        -m    memory demand in MB (batch-jobs)         0 MB"
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 2498)
+++ palm/trunk/SOURCE/modules.f90	(revision 2499)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Default changed to fft_method = 'temperton-algorithm'
+! 
+! 2408 2017-09-05 15:47:53Z gronemeier
 ! Changed default value of mg_cycles from -1 to 4.
 ! 
@@ -993,5 +996,5 @@
     CHARACTER (LEN=20)   ::  coupling_mode_remote = 'uncoupled'           !< coupling mode of the remote process in case of coupled atmosphere-ocean runs
     CHARACTER (LEN=20)   ::  dissipation_1d = 'detering'                  !< namelist parameter
-    CHARACTER (LEN=20)   ::  fft_method = 'system-specific'               !< namelist parameter
+    CHARACTER (LEN=20)   ::  fft_method = 'temperton-algorithm'           !< namelist parameter
     CHARACTER (LEN=20)   ::  mixing_length_1d = 'blackadar'               !< namelist parameter
     CHARACTER (LEN=20)   ::  random_generator = 'random-parallel'         !< namelist parameter